ON_SimpleFixedSizePool< T > Class Template Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_fsp.h>`

Inheritance diagram for ON_SimpleFixedSizePool< T >:

## Public Member Functions

| ON_SimpleFixedSizePool ()
| ~ON_SimpleFixedSizePool ()
bool | Create (size_t element_count_estimate, size_t block_element_count)
size_t | SizeofElement () const
T * | AllocateElement ()
void | ReturnElement (T *p)
void | ReturnAll ()
void | Destroy ()
size_t | ActiveElementCount () const
size_t | TotalElementCount () const
T * | FirstElement ()
T * | NextElement ()
T * | FirstBlock (size_t *block_element_count)
T * | NextBlock (size_t *block_element_count)
T * | Element (size_t element_index) const
void | SetHeap (ON_MEMORY_POOL *heap)
ON_MEMORY_POOL * | Heap ()
void | EmergencyDestroy ()

## Detailed Description

### template<class T>
class ON_SimpleFixedSizePool< T >

Definition at line 498 of file opennurbs_fsp.h.

## Constructor & Destructor Documentation

## ON_SimpleFixedSizePool()

template<class T >

ON_SimpleFixedSizePool< T >::ON_SimpleFixedSizePool | ( |  | ) |

Definition at line 21 of file opennurbs_fsp_defs.h.

## ~ON_SimpleFixedSizePool()

template<class T >

ON_SimpleFixedSizePool< T >::~ON_SimpleFixedSizePool | ( |  | ) |

Definition at line 26 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::Destroy().

## Member Function Documentation

## ActiveElementCount()

template<class T >

size_t ON_SimpleFixedSizePool< T >::ActiveElementCount | ( |  | ) | const

Definition at line 71 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::ActiveElementCount().

## AllocateElement()

template<class T >

T * ON_SimpleFixedSizePool< T >::AllocateElement | ( |  | ) |

Definition at line 47 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::AllocateElement().

## Create()

template<class T >

bool ON_SimpleFixedSizePool< T >::Create | ( | size_t | element_count_estimate,
|  | size_t | block_element_count
| ) |  |

Definition at line 32 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::Create().

## Destroy()

template<class T >

void ON_SimpleFixedSizePool< T >::Destroy | ( |  | ) |

Definition at line 65 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::Destroy().

## Element()

template<class T >

T * ON_SimpleFixedSizePool< T >::Element | ( | size_t | element_index | ) | const

Definition at line 107 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::Element().

## EmergencyDestroy()

template<class T >

void ON_SimpleFixedSizePool< T >::EmergencyDestroy | ( | void |  | ) |

Definition at line 125 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::EmergencyDestroy().

## FirstBlock()

template<class T >

T * ON_SimpleFixedSizePool< T >::FirstBlock | ( | size_t * | block_element_count | ) |

Definition at line 95 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::FirstBlock().

## FirstElement()

template<class T >

T * ON_SimpleFixedSizePool< T >::FirstElement | ( |  | ) |

Definition at line 83 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::FirstElement().

## Heap()

template<class T >

ON_MEMORY_POOL * ON_SimpleFixedSizePool< T >::Heap | ( |  | ) |

Definition at line 119 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::Heap().

## NextBlock()

template<class T >

T * ON_SimpleFixedSizePool< T >::NextBlock | ( | size_t * | block_element_count | ) |

Definition at line 101 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::NextBlock().

## NextElement()

template<class T >

T * ON_SimpleFixedSizePool< T >::NextElement | ( |  | ) |

Definition at line 89 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::NextElement().

## ReturnAll()

template<class T >

void ON_SimpleFixedSizePool< T >::ReturnAll | ( |  | ) |

Definition at line 59 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::ReturnAll().

## ReturnElement()

template<class T >

void ON_SimpleFixedSizePool< T >::ReturnElement | ( | T * | p | ) |

Definition at line 53 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::ReturnElement().

## SetHeap()

template<class T >

void ON_SimpleFixedSizePool< T >::SetHeap | ( | ON_MEMORY_POOL * | heap | ) |

Definition at line 113 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::SetHeap().

## SizeofElement()

template<class T >

size_t ON_SimpleFixedSizePool< T >::SizeofElement | ( |  | ) | const

Definition at line 41 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::SizeofElement().

## TotalElementCount()

template<class T >

size_t ON_SimpleFixedSizePool< T >::TotalElementCount | ( |  | ) | const

Definition at line 77 of file opennurbs_fsp_defs.h.

References ON_FixedSizePool::TotalElementCount().

The documentation for this class was generated from the following files:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_fsp.h
- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_fsp_defs.h